Subject: bug#63385: 30.0.50; [DRAFT PATCH v1] Update eshell defcustom definitions

From: Jim Porter <[email-masked]>
Date: Sun, 14 May 2023 21:39:55 -0700

On 5/8/2023 9:47 PM, Ruijie Yu via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> Here attached is a draft patch to update eshell defcustoms.  The commit
> message contains a long [TODO] section outlining all my ideas on how to
> change a given portion, but these ideas probably need more input.

Thanks, I think most of these make sense. I'm not too sure what to do 
about the parts you marked with "TODO" though; it'll take some thought 
for each of them. (For example, I feel like there's a better way to let 
users customize the keys in em-rebind.el and elsewhere.)

How about removing them from the patch, and then we can merge the remainder?